Package org.elasticsearch.xpack.sql.jdbc

# Class JdbcConfiguration

java.lang.Object
org.elasticsearch.xpack.sql.client.ConnectionConfiguration
org.elasticsearch.xpack.sql.jdbc.JdbcConfiguration

public class JdbcConfiguration extends ConnectionConfiguration
/ Supports the following syntax / / jdbc:es://[host|ip] / jdbc:es://[host|ip]:port/(prefix) / jdbc:es://[host|ip]:port/(prefix)(?options=value&) / / Additional properties can be specified either through the Properties object or in the URL. In case of duplicates, the URL wins.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CATALOG`
`static final URI`
`DEFAULT_URI`
`static final String`
`TIME_ZONE`

### Fields inherited from class org.elasticsearch.xpack.sql.client.ConnectionConfiguration

`ALLOW_PARTIAL_SEARCH_RESULTS, ALLOW_PARTIAL_SEARCH_RESULTS_DEFAULT, AUTH_PASS, AUTH_USER, BINARY_COMMUNICATION, CONNECT_TIMEOUT, NETWORK_TIMEOUT, PAGE_SIZE, PAGE_TIMEOUT, PROJECT_ROUTING, PROPERTIES_VALIDATION, QUERY_TIMEOUT`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`canAccept(String url)`
`static JdbcConfiguration`
`create(String u, Properties props, int loginTimeoutSeconds)`
`boolean`
`debug()`
`String`
`debugOut()`
`DriverPropertyInfo[]`
`driverPropertyInfo()`
`protected Collection<String>`
`extraOptions()`
`boolean`
`fieldMultiValueLeniency()`
`boolean`
`flushAlways()`
`boolean`
`indexIncludeFrozen()`
`TimeZone`
`timeZone()`

### Methods inherited from class org.elasticsearch.xpack.sql.client.ConnectionConfiguration

`allowPartialSearchResults, authPass, authUser, baseUri, binaryCommunication, connectionString, connectTimeout, isSSLEnabled, networkTimeout, optionNames, pageSize, pageTimeout, parseValue, projectRouting, proxyConfig, queryTimeout, sslConfig, validateProperties`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_URI

public static final URI DEFAULT_URI

### TIME_ZONE

public static final String TIME_ZONE

See Also:
  - Constant Field Values

### CATALOG

public static final String CATALOG

See Also:
  - Constant Field Values

## Method Details

### create

public static JdbcConfiguration create(String u, Properties props, int loginTimeoutSeconds) throws org.elasticsearch.xpack.sql.jdbc.JdbcSQLException

Throws:
  `org.elasticsearch.xpack.sql.jdbc.JdbcSQLException`

### extraOptions

protected Collection<String> extraOptions()

Overrides:
  `extraOptions` in class `ConnectionConfiguration`

### debug

public boolean debug()

### debugOut

public String debugOut()

### flushAlways

public boolean flushAlways()

### timeZone

public TimeZone timeZone()

### fieldMultiValueLeniency

public boolean fieldMultiValueLeniency()

### indexIncludeFrozen

public boolean indexIncludeFrozen()

### canAccept

public static boolean canAccept(String url)

### driverPropertyInfo

public DriverPropertyInfo[] driverPropertyInfo()